org.cpsolver.studentsct.model

## Enum Student.StudentPriority

- java.lang.Object
- - java.lang.Enum<Student.StudentPriority>
  - - org.cpsolver.studentsct.model.Student.StudentPriority

- All Implemented Interfaces:
    Serializable, Comparable<Student.StudentPriority>
  Enclosing class:
    Student

      public static enum Student.StudentPriority
      extends Enum<Student.StudentPriority>

  Student priority level. Higher priority students are to be assigned first. The student priority is used to re-order students and assign them accoding to their priority.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Dummy`
    `Freshmen`
    `Junior`
    `Normal`
    `Priority`
    `Senior`
    `Sophomore`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `code()`
    `Double` | `getBoost()`
    `static Student.StudentPriority` | `getPriority(String value)`
    `boolean` | `isHigher(Student s)`
    `boolean` | `isSame(Student s)`
    `boolean` | `isSameOrHigher(Student s)`
    `static Student.StudentPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Student.StudentPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Priority

          public static final Student.StudentPriority Priority

    - #### Senior

          public static final Student.StudentPriority Senior

    - #### Junior

          public static final Student.StudentPriority Junior

    - #### Sophomore

          public static final Student.StudentPriority Sophomore

    - #### Freshmen

          public static final Student.StudentPriority Freshmen

    - #### Normal

          public static final Student.StudentPriority Normal

    - #### Dummy

          public static final Student.StudentPriority Dummy

  - ### Method Detail

    - #### values

          public static Student.StudentPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Student.StudentPriority c : Student.StudentPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Student.StudentPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public String code()

    - #### getBoost

          public Double getBoost()

    - #### isSameOrHigher

          public boolean isSameOrHigher(Student s)

    - #### isHigher

          public boolean isHigher(Student s)

    - #### isSame

          public boolean isSame(Student s)

    - #### getPriority

          public static Student.StudentPriority getPriority(String value)